[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'matrix' (#rtl)

# assign(Tvector2_single):Tvector3_double

Allow assignment of two-dimensional single precision vector to three-dimensional double precision vector

## Declaration

Source position: matrix.pp line 279

`operator operator :=(`
`const v: Tvector2_single`
`):Tvector3_double;`

## Description

This operator allows you to use a two-dimensional vector with single precision values wherever a three-dimensional vector with double precision is expected. The third dimension is set to 0.0.